import { logger as uiLogger, Console } from "@elliemae/pui-diagnostics";
import { getAppConfigValue } from "./app-config/config.js";
const consoleLogger = (() => {
  if (!uiLogger) return console;
  return uiLogger({
    transport: Console(),
    index: "app",
    environment: getAppConfigValue("activeEnv"),
    team: "app team",
    appName: "ICEMT App",
    appVersion: "latest",
    instanceId: "",
    userId: ""
  });
})();
export {
  consoleLogger
};
